Package opennlp.tools.ml.naivebayes

# Class BinaryNaiveBayesModelReader

java.lang.Object
opennlp.tools.ml.model.AbstractModelReader
opennlp.tools.ml.naivebayes.NaiveBayesModelReader
opennlp.tools.ml.naivebayes.BinaryNaiveBayesModelReader

public class BinaryNaiveBayesModelReader extends NaiveBayesModelReader
A `NaiveBayesModelReader` that reads models from a binary format.

- ## Field Summary

  ### Fields inherited from class opennlp.tools.ml.model.AbstractModelReader

  `MAX_ENTRIES_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BinaryNaiveBayesModelReader(DataInputStream dis)`
  Instantiates `BinaryNaiveBayesModelReader` via a `DataInputStream` containing the model contents.
  `BinaryNaiveBayesModelReader(File f)`
  Instantiates `BinaryNaiveBayesModelReader` via a `File` and creates a reader for it.

- ## Method Summary

  ### Methods inherited from class opennlp.tools.ml.naivebayes.NaiveBayesModelReader

  `checkModelType, constructModel`

  ### Methods inherited from class opennlp.tools.ml.model.AbstractModelReader

  `getModel, readDouble, readInt, readUTF`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BinaryNaiveBayesModelReader

    public BinaryNaiveBayesModelReader(DataInputStream dis)
    Instantiates `BinaryNaiveBayesModelReader` via a `DataInputStream` containing the model contents.
    Parameters:
      `dis` - The `DataInputStream` containing the model information. It must be open and have bytes available.

  - ### BinaryNaiveBayesModelReader

    public BinaryNaiveBayesModelReader(File f) throws IOException
    Instantiates `BinaryNaiveBayesModelReader` via a `File` and creates a reader for it. Based on whether the file's suffix contains `.gz`, it detects whether the file is gzipped or not.
    Parameters:
      `f` - The `File` that references the model to be read.
    Throws:
      `IOException`